Name:		lightdm-another-gtk-greeter
Summary:	Yet another GTK+ greeter for LightDM
Version:	1.0.5.0
Release:	%mkrel 2
Group:		Graphical desktop/GNOME
License:	GPLv3
Url:		https://github.com/kalgasnik/lightdm-another-gtk-greeter
Source0:	https://github.com/kalgasnik/lightdm-another-gtk-greeter/archive/%{version}.tar.gz
Patch0:		lightdm-another-gtk-greeter-1.0.4.8a-mga-customizations.patch
Patch1:		lightdm-another-gtk-greeter-1.0.4.3-install-binary-to-sbin.patch
BuildRequires:	gnome-common
BuildRequires:	intltool
BuildRequires:	pkgconfig(liblightdm-gobject-1)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)

Provides:	lightdm-greeter

Requires:	lightdm
# For mga logo
Requires:	desktop-common-data
# For icons
Requires:	gnome-icon-theme
# For HighContrast theme
Requires:	gnome-themes-standard

Requires(post):		update-alternatives
Requires(postun):	update-alternatives

%description
Yet another GTK+ greeter for LightDM.

Based on lightdm-gtk-greeter.

%prep
%setup -q
%apply_patches

%build
NOCONFIGURE=yes gnome-autogen.sh
%configure2_5x \
	--disable-static \
	--enable-introspection=yes \
	--enable-compile-warnings=minimum
%make

%install
%makeinstall_std

%find_lang %{name}

%post
%{_sbindir}/update-alternatives \
	--install %{_datadir}/xgreeters/lightdm-greeter.desktop \
	lightdm-greeter \
	%{_datadir}/xgreeters/lightdm-another-gtk-greeter.desktop \
	15

%postun
if [ $1 -eq 0 ]; then
%{_sbindir}/update-alternatives \
	--remove lightdm-greeter \
	%{_datadir}/xgreeters/lightdm-another-gtk-greeter.desktop
fi

%files -f %{name}.lang
%doc AUTHORS NEWS README
%config(noreplace) %{_sysconfdir}/lightdm/lightdm-another-gtk-greeter.conf
%{_sbindir}/lightdm-another-gtk-greeter
%{_datadir}/lightdm-another-gtk-greeter/
%{_datadir}/xgreeters/lightdm-another-gtk-greeter.desktop


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 1.0.5.0-2.mga4
+ Revision: 537410
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 wally <wally> 1.0.5.0-1.mga4
+ Revision: 486959
- new version 1.0.5.0

* Tue Aug 13 2013 wally <wally> 1.0.4.9-1.mga4
+ Revision: 466140
- new version 1.0.4.9

* Mon Aug 05 2013 wally <wally> 1.0.4.8a-1.mga4
+ Revision: 463832
- new version 1.0.4.8a
- rediff conf patch

* Fri Jul 12 2013 wally <wally> 1.0.4.6-1.mga4
+ Revision: 453477
- new version 1.0.4.6
- rediff conf path

* Sat Jun 29 2013 wally <wally> 1.0.4.5-1.mga4
+ Revision: 448217
- new version 1.0.4.5
- rediff P0

* Sat Jun 22 2013 wally <wally> 1.0.4.3-1.mga4
+ Revision: 445779
- new version 1.0.4.3

* Sat May 25 2013 wally <wally> 1.0.3-1.mga4
+ Revision: 427010
- imported package lightdm-another-gtk-greeter

